JNA API 3.3.0

## com.sun.jna.platform
Class FileUtils

    java.lang.Object
      com.sun.jna.platform.FileUtils

Direct Known Subclasses:
  MacFileUtils, W32FileUtils

    public abstract class FileUtils

extends Object

Miscellaneous file utils not provided for by Java.

Constructor Summary
`FileUtils()`

Method Summary
`static FileUtils` | `getInstance()`
`boolean` | `hasTrash()`
`abstract void` | `moveToTrash(File[] files)` Move the given file to the system trash, if one is available.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileUtils

    public FileUtils()

Method Detail

### hasTrash

    public boolean hasTrash()

### moveToTrash

    public abstract void moveToTrash(File[] files)
                              throws IOException

  Move the given file to the system trash, if one is available. Throws an exception on failure.

  Throws:
    `IOException`

### getInstance

    public static FileUtils getInstance()

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.